
import React from 'react';
import Icon from 'react-icon-base';

const SlVector = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M992 288h-32.2725v1.61621c0 161.92 -86.5283 303.808 -215.664 382.384h160.816c11.0879 -19.04 31.5039 -32 55.1201 -32c35.3438 0 64 28.6562 64 64s-28.6562 64 -64 64c-23.6318 0 -44.0322 -12.96 -55.1201 -32h-296.88v32c0 17.6641 -14.3359 32 -32 32h-128 c-17.6641 0 -32 -14.3359 -32 -32v-32h-296.88c-11.0879 19.04 -31.4883 32 -55.1201 32c-35.3438 0 -64 -28.6562 -64 -64s28.6562 -64 64 -64c23.6318 0 44.0322 12.96 55.1201 32h160.8c-129.136 -78.5918 -215.647 -220.464 -215.647 -382.384v-1.61621h-32.2725 c-17.6641 0 -32 -14.3359 -32 -32v-128c0 -17.6641 14.3359 -32 32 -32h128c17.6641 0 32 14.3359 32 32v128c0 17.6641 -14.3359 32 -32 32h-31.7275v1.61621c0 178.448 122.464 328.672 287.728 371.392v-21.0078c0 -17.6641 14.3359 -32 32 -32h128 c17.6641 0 32 14.3359 32 32v21.0078c165.264 -42.7363 287.728 -192.96 287.728 -371.392v-1.61621h-31.7275c-17.6641 0 -32 -14.3359 -32 -32v-128c0 -17.6641 14.3359 -32 32 -32h128c17.6641 0 32 14.3359 32 32v128c0 17.6641 -14.3359 32 -32 32zM128 160h-64v64h64 v-64zM544 672h-64v64h64v-64zM960 160h-64v64h64v-64z"/></g>
    </Icon>
);

export default SlVector;
